ChartDirector Ver 4.1 (PHP Edition Edition)

ArrayMath.selectGTZ

Usage

selectGTZ([ decisionArray [, fillValue ]])

Description

Selects the elements of the ArrayMath object by checking if the elements of the given decisionArray is greater than zero.
The selected elements will be left unchanged. The remaining elements will be replaced by the given fillValue.
If the decisionArray is empty, the ArrayMath object itself will function as the decision array.

Arguments

Argument | Default | Description
--- | --- | ---
decisionArray | [Empty_Array] | An array of numbers used to decide whether the corresponding elements in the ArrayMath object is selected or not.
fillValue | 0 | The value used to replace the elements that are not selected.

Return Value

The current ArrayMath object.

© 2006 Advanced Software Engineering Limited. All rights reserved.